Back to Redis

Validate

content/operate/rs/7.22/references/rest-api/requests/bootstrap/validate.md

latest1.9 KB
Original Source
MethodPathDescription
POST/v1/bootstrap/validate/{action}Perform bootstrap validation

Bootstrap validation {#post-bootstrap-validate}

POST /v1/bootstrap/validate/{action}

Perform bootstrap validation.

Unlike actual bootstrapping, this request blocks and immediately returns with a response.

Request {#post-request}

Example HTTP request

POST /v1/bootstrap/validate/join_cluster

Request body

The request must contain a [bootstrap configuration object]({{< relref "/operate/rs/7.22/references/rest-api/objects/bootstrap" >}}), similar to the one used for actual bootstrapping.

Response {#post-response}

If an error occurs, the call returns a bootstrap_status JSON object that contains the following fields:

FieldDescription
stateCurrent bootstrap state.
</br>idle: No bootstrapping started.
</br>initiated: Bootstrap request received.
</br>creating_cluster: In the process of creating a new cluster.
</br>joining_cluster: In the process of joining an existing cluster.
</br>error: The last bootstrap action failed.
</br>completed: The last bootstrap action completed successfully.
start_timeBootstrap process start time
end_timeBootstrap process end time
error_codeIf state is error, this error code describes the type of error encountered.
error_detailsAn error-specific object that may contain additional information about the error. A common field in use is message which provides a more verbose error message.

Status codes {#post-status-codes}

CodeDescription
200 OKNo error, validation was successful.
406 Not AcceptableValidation failed, bootstrap status is returned as body.